-- 基础信息
base_info = {
	group_id = 246203003
}

-- Trigger变量
defs = {
	center_point = 3007,
	Portal_Eff = 3009,
	Portal_Trigger = 3010,
	Streaming_Gadget = 3011,
	Region = 3012,
	air_wall = 3013,
	clock = 3020,
	pointer = 3021,
	pointarray = 3
}

--================================================================
--
-- 配置
--
--================================================================

-- 怪物
monsters = {
}

-- NPC
npcs = {
}

-- 装置
gadgets = {
	{ config_id = 3009, gadget_id = 70800140, pos = { x = 359.709, y = 200.359, z = 273.581 }, rot = { x = 0.000, y = 268.138, z = 0.000 }, level = 1 },
	{ config_id = 3010, gadget_id = 70800172, pos = { x = 360.539, y = 200.357, z = 273.498 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 3011, gadget_id = 70800135, pos = { x = 371.548, y = 197.844, z = 299.677 }, rot = { x = 0.000, y = 0.000, z = 0.000 }, level = 1 },
	{ config_id = 3013, gadget_id = 70800195, pos = { x = 327.889, y = 199.981, z = 278.290 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, level = 1 },
	{ config_id = 3020, gadget_id = 70800163, pos = { x = 566.000, y = 279.000, z = 309.100 }, rot = { x = 0.000, y = 269.100, z = 0.000 }, level = 1 },
	{ config_id = 3021, gadget_id = 70800164, pos = { x = 549.167, y = 279.000, z = 309.100 }, rot = { x = 0.000, y = 269.100, z = 10.881 }, level = 1, is_use_point_array = true }
}

-- 区域
regions = {
	{ config_id = 3012, shape = RegionShape.SPHERE, radius = 100, pos = { x = 335.149, y = 200.010, z = 285.398 } }
}

-- 触发器
triggers = {
}

-- 点位
points = {
	{ config_id = 3001, pos = { x = 329.920, y = 200.129, z = 277.964 }, rot = { x = 0.000, y = 272.497, z = 0.000 }, tag = 2 },
	{ config_id = 3002, pos = { x = 330.256, y = 200.103, z = 285.399 }, rot = { x = 0.000, y = 272.497, z = 0.000 }, tag = 2 },
	{ config_id = 3003, pos = { x = 329.462, y = 200.137, z = 270.446 }, rot = { x = 0.000, y = 272.497, z = 0.000 }, tag = 2 },
	{ config_id = 3004, pos = { x = 317.243, y = 200.105, z = 278.136 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 3005, pos = { x = 317.137, y = 200.148, z = 285.632 }, rot = { x = 0.000, y = 93.809, z = 0.000 }, tag = 2 },
	{ config_id = 3006, pos = { x = 317.236, y = 200.090, z = 270.647 }, rot = { x = 0.000, y = 90.128, z = 0.000 }, tag = 2 },
	{ config_id = 3007, pos = { x = 324.771, y = 199.981, z = 278.326 }, rot = { x = 0.000, y = 268.794, z = 0.000 } },
	{ config_id = 3008, pos = { x = 319.970, y = 200.106, z = 278.156 }, rot = { x = 0.000, y = 90.000, z = 0.000 } },
	{ config_id = 3014, pos = { x = 336.828, y = 200.129, z = 277.964 }, rot = { x = 0.000, y = 272.497, z = 0.000 }, tag = 2 },
	{ config_id = 3015, pos = { x = 337.165, y = 200.103, z = 285.399 }, rot = { x = 0.000, y = 272.497, z = 0.000 }, tag = 2 },
	{ config_id = 3016, pos = { x = 336.370, y = 200.137, z = 270.446 }, rot = { x = 0.000, y = 272.497, z = 0.000 }, tag = 2 },
	{ config_id = 3017, pos = { x = 314.824, y = 200.105, z = 278.136 }, rot = { x = 0.000, y = 90.000, z = 0.000 }, tag = 2 },
	{ config_id = 3018, pos = { x = 314.718, y = 200.148, z = 285.632 }, rot = { x = 0.000, y = 93.809, z = 0.000 }, tag = 2 },
	{ config_id = 3019, pos = { x = 314.817, y = 200.090, z = 270.647 }, rot = { x = 0.000, y = 90.128, z = 0.000 }, tag = 2 }
}

-- 变量
variables = {
}

--================================================================
--
-- 初始化配置
--
--================================================================

-- 初始化时创建
init_config = {
	suite = 1,
	end_suite = 0,
	rand_suite = false
}

--================================================================
--
-- 小组配置
--
--================================================================

suites = {
	{
		-- suite_id = 1,
		-- description = ,
		monsters = { },
		gadgets = { 3009 },
		regions = { 3012 },
		triggers = { },
		rand_weight = 100
	}
}

--================================================================
--
-- 触发器
--
--================================================================

require "V2_7/Rogue_Cell"
require "V2_7/Rogue_Terrain_3"
